/* ***** BEGIN LICENSE BLOCK *****
 * Version: MPL 1.1/GPL 2.0/LGPL 2.1
 *
 * The contents of this file are subject to the Mozilla Public License Version
 * 1.1 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is Mozilla Communicator client code, released
 * March 31, 1998.
 *
 * The Initial Developer of the Original Code is
 * Netscape Communications Corporation.
 * Portions created by the Initial Developer are Copyright (C) 1998-1999
 * the Initial Developer. All Rights Reserved.
 *
 * Contributor(s):
 *
 * Alternatively, the contents of this file may be used under the terms of
 * either the GNU General Public License Version 2 or later (the "GPL"), or
 * the GNU Lesser General Public License Version 2.1 or later (the "LGPL"),
 * in which case the provisions of the GPL or the LGPL are applicable instead
 * of those above. If you wish to allow use of your version of this file only
 * under the terms of either the GPL or the LGPL, and not to allow others to
 * use your version of this file under the terms of the MPL, indicate your
 * decision by deleting the provisions above and replace them with the notice
 * and other provisions required by the GPL or the LGPL. If you do not delete
 * the provisions above, a recipient may use your version of this file under
 * the terms of any one of the MPL, the GPL or the LGPL.
 *
 * ***** END LICENSE BLOCK ***** */

/* ===== global.css =====================================================
  == Styles that apply everywhere.
  ======================================================================= */

/* all localizable skin settings shall live here */
@import url("chrome://global/locale/intl.css");

@namespace url("http://www.mozilla.org/keymaster/gatekeeper/there.is.only.xul");

/* ::::: XBL bindings ::::: */

checkbox {
  -moz-binding: url("chrome://global/content/bindings/checkbox.xml#checkbox-with-spacing");
}

radio {
  -moz-binding: url("chrome://global/skin/globalBindings.xml#radio-with-spacing");
}

menulist > menupopup,
.menulist-menupopup {
  -moz-binding: url("chrome://global/content/bindings/popup.xml#popup-scrollbars");
}

.menulist-compact {
  -moz-binding: url("chrome://global/skin/globalBindings.xml#menulist-compact");
}

progressmeter[mode="undetermined"] {
  -moz-binding: url("chrome://global/content/bindings/progressmeter.xml#progressmeter-undetermined");
}

/* ::::: root elements ::::: */

window,
page,
dialog,
wizard,
prefwindow {
  -moz-appearance: window;
  background-color: -moz-Dialog;
  color: -moz-DialogText;
  font: message-box;
}

/* deprecated */
window.dialog {
  padding-top: 8px;
  padding-bottom: 10px;
  -moz-padding-start: 8px;
  -moz-padding-end: 10px;
}

/* ::::: alert icons :::::*/

.message-icon,
.alert-icon,
.error-icon,
.question-icon,
.authentication-icon {
  width: 40px;
  height: 40px;
}

.message-icon {
  list-style-image: url("moz-icon://stock/gtk-dialog-info?size=dialog");
}

.alert-icon {
  list-style-image: url("moz-icon://stock/gtk-dialog-warning?size=dialog");
}

.error-icon {
  list-style-image: url("moz-icon://stock/gtk-dialog-error?size=dialog");
}

.question-icon {
  list-style-image: url("moz-icon://stock/gtk-dialog-question?size=dialog");
}

.authentication-icon {
  list-style-image: url("chrome://global/skin/icons/Authentication.png");
}

/* ::::: iframe ::::: */

iframe {
  border: none;
  width: 100px;
  height: 100px;
  min-width: 10px;
  min-height: 10px;
}

/* ::::: statusbar ::::: */

statusbar {
  -moz-appearance: statusbar;
  border-top: 1px solid ThreeDLightShadow;
  border-left: 1px solid ThreeDShadow;
  border-right: 1px solid ThreeDHighlight;
  border-bottom: 1px solid ThreeDHighlight;
  background-color: -moz-Dialog;
  min-height: 22px;
}

statusbarpanel {
  -moz-appearance: statusbarpanel;
  -moz-box-align: center;
  -moz-box-pack: center;
  border-left: 1px solid ThreeDHighlight;
  border-top: 1px solid ThreeDHighlight;
  border-right: 1px solid ThreeDShadow;
  border-bottom: 1px solid ThreeDShadow;
  padding: 0 4px;
}

.statusbar-resizerpanel {
  -moz-box-align: end;
  -moz-box-pack: end;
  -moz-appearance: resizerpanel;
  padding: 0;
  border: none;
}

.statusbarpanel-iconic,
.statusbarpanel-iconic-text,
.statusbarpanel-menu-iconic {
  padding: 0 1px;
}

resizer[dir="bottomright"] {
  -moz-appearance: resizer;
  cursor: se-resize;
}

/* XXXBlake yeah, shoot me -- these don't belong here.  I'll move them later. */

sidebarheader {
  height: 25px;
  background-color: -moz-Dialog;
}

sidebarheader > label {
  -moz-padding-start: 4px;
}

.toolbar-focustarget {
  -moz-user-focus: ignore !important;
}

/* ::::: miscellaneous formatting ::::: */

.inset {
  border: 1px solid ThreeDShadow;
  border-right-color: ThreeDHighlight;
  border-bottom-color: ThreeDHighlight;
  margin: 0 5px 5px;
}
  
.outset {
  border: 1px solid ThreeDShadow;
  border-left-color: ThreeDHighlight;
  border-top-color: ThreeDHighlight;
}

separator:not([orient="vertical"]) {
  height: 1.5em;
}
separator[orient="vertical"] {
  width: 1.5em;
}

separator.thin:not([orient="vertical"]) {
  height: 0.5em;
}  
separator.thin[orient="vertical"] {
  width: 0.5em;
}

separator.groove:not([orient="vertical"]) {
  border-top: 1px solid ThreeDShadow;
  border-bottom: 1px solid ThreeDHighlight;
  height: 0;
  margin-top: 0.4em;
  margin-bottom: 0.4em;
}
separator.groove[orient="vertical"] {
  border-left: 1px solid ThreeDShadow;
  border-right: 1px solid ThreeDHighlight;
  width: 0;
  margin-left: 0.4em;
  margin-right: 0.4em;
}

.small-margin {
  margin: 1px 2px;
}
    
.plain {
  margin: 0 !important;
  border: none;
  padding: 0;
}

description,
label {
  cursor: default;
  margin-top: 1px;
  margin-bottom: 2px;
  -moz-margin-start: 6px;
  -moz-margin-end: 5px;
}

description {
  margin-bottom: 4px;
}

label[disabled="true"] {
  color: GrayText;
}

.tooltip-label {
  margin: 0;
}

.header {
  font-weight: bold;
}

.monospace {
  font-family: monospace;
}

.indent {
  -moz-margin-start: 23px;
}

.box-padded {
  padding: 5px;
}

.spaced {
  margin: 3px 5px 4px;
}

.wizard-box {
  padding: 20px 44px 10px;
}

.text-link {
  color: -moz-nativehyperlinktext;
  text-decoration: underline;
  border: 1px solid transparent;
  cursor: pointer;
}
  
.text-link:focus {
  color: red;
  border: 1px dotted -moz-DialogText;
}
  
.text-link:hover:active {
  color: red;
}

.text-link[visited="true"] {
  color: purple;
}

/* :::::: autoscroll popup ::::: */

#autoscroller {
  height: 28px;
  width: 28px;
  border: none;
  margin: -14px;
  padding: 0;
  background-position: center top;
  background-image: url("chrome://global/skin/icons/autoscroll.png");
  background-color: transparent;
  -moz-appearance: none;
}

#autoscroller[scrolldir="NS"] {
  background-position: center center;
}

#autoscroller[scrolldir="EW"] {
  background-position: center bottom;
}
